JUCE: AccessibilityHandler::Interfaces Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
AccessibilityHandler::Interfaces Struct Reference
juce_gui_basics » accessibility

Utility struct which holds one or more accessibility interfaces. More...

`#include <juce_AccessibilityHandler.h>`

## Public Member Functions
| Interfaces ()=default
| Interfaces (std::unique_ptr< AccessibilityValueInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityTextInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityTableInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityCellInterface > ptr)
| Interfaces (std::unique_ptr< AccessibilityValueInterface > valueIn, std::unique_ptr< AccessibilityTextInterface > textIn, std::unique_ptr< AccessibilityTableInterface > tableIn, std::unique_ptr< AccessibilityCellInterface > cellIn)

## Public Attributes
std::unique_ptr< AccessibilityValueInterface > | value
std::unique_ptr< AccessibilityTextInterface > | text
std::unique_ptr< AccessibilityTableInterface > | table
std::unique_ptr< AccessibilityCellInterface > | cell

## Detailed Description

Utility struct which holds one or more accessibility interfaces.

The main purpose of this class is to provide convenience constructors from each of the four types of accessibility interface.

## Constructor & Destructor Documentation

## ◆ Interfaces() [1/6]

AccessibilityHandler::Interfaces::Interfaces | ( |  | ) |
| default

## ◆ Interfaces() [2/6]

AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityValueInterface > | ptr | ) |

## ◆ Interfaces() [3/6]

AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityTextInterface > | ptr | ) |

## ◆ Interfaces() [4/6]

AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityTableInterface > | ptr | ) |

## ◆ Interfaces() [5/6]

AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityCellInterface > | ptr | ) |

## ◆ Interfaces() [6/6]

AccessibilityHandler::Interfaces::Interfaces | ( | std::unique_ptr< AccessibilityValueInterface > | valueIn,
|  | std::unique_ptr< AccessibilityTextInterface > | textIn,
|  | std::unique_ptr< AccessibilityTableInterface > | tableIn,
|  | std::unique_ptr< AccessibilityCellInterface > | cellIn
| ) |  |

## Member Data Documentation

## ◆ value

std::unique_ptr<AccessibilityValueInterface> AccessibilityHandler::Interfaces::value

## ◆ text

std::unique_ptr<AccessibilityTextInterface> AccessibilityHandler::Interfaces::text

## ◆ table

std::unique_ptr<AccessibilityTableInterface> AccessibilityHandler::Interfaces::table

## ◆ cell

std::unique_ptr<AccessibilityCellInterface> AccessibilityHandler::Interfaces::cell

The documentation for this struct was generated from the following file:

- juce_AccessibilityHandler.h